Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.spatial
Class PixelOrientation

    Object
      CodeList<PixelOrientation>
          PixelOrientation

All Implemented Interfaces:
  Serializable, Comparable<PixelOrientation>

    @UML(identifier="MD_PixelOrientationCode",
         specification=ISO_19115)
    public final class PixelOrientation

extends CodeList<PixelOrientation>

Point in a pixel corresponding to the Earth location of the pixel.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static PixelOrientation` | `CENTER` Point in a pixel corresponding to the Earth location of the pixel.
`static PixelOrientation` | `LOWER_LEFT` The corner in the pixel closest to the origin of the SRS; if two are at the same distance from the origin, the one with the smallest x-value.
`static PixelOrientation` | `LOWER_RIGHT` Next corner counterclockwise from the lower left.
`static PixelOrientation` | `UPPER_LEFT` Next corner counterclockwise from the upper right.
`static PixelOrientation` | `UPPER_RIGHT` Next corner counterclockwise from the lower right.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static PixelOrientation` | `valueOf(String code)` Returns the PixelOrientation that matches the given string, or returns a new one if none match it.
`static PixelOrientation[]` | `values()` Returns the list of `PixelOrientation`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CENTER

    @UML(identifier="center",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final PixelOrientation CENTER

  Point in a pixel corresponding to the Earth location of the pixel.

### LOWER_LEFT

    @UML(identifier="lowerLeft",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final PixelOrientation LOWER_LEFT

  The corner in the pixel closest to the origin of the SRS; if two are at the same distance from the origin, the one with the smallest x-value.

### LOWER_RIGHT

    @UML(identifier="lowerRight",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final PixelOrientation LOWER_RIGHT

  Next corner counterclockwise from the lower left.

### UPPER_RIGHT

    @UML(identifier="upperRight",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final PixelOrientation UPPER_RIGHT

  Next corner counterclockwise from the lower right.

### UPPER_LEFT

    @UML(identifier="upperLeft",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final PixelOrientation UPPER_LEFT

  Next corner counterclockwise from the upper right.

Method Detail

### values

    public static PixelOrientation[] values()

  Returns the list of `PixelOrientation`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<PixelOrientation>`

### valueOf

    public static PixelOrientation valueOf(String code)

  Returns the PixelOrientation that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.